package domain

type TaobaoFenxiaoOrdersGetTopMemoDto struct {
	/*
	   子订单备注内容     */
	Remark *string `json:"remark,omitempty" `

	/*
	   操作者昵称     */
	OperateUserNick *string `json:"operate_user_nick,omitempty" `

	/*
	   附件     */
	Attachments *[]TaobaoFenxiaoOrdersGetTopMemoAttachment `json:"attachments,omitempty" `
}

func (s *TaobaoFenxiaoOrdersGetTopMemoDto) SetRemark(v string) *TaobaoFenxiaoOrdersGetTopMemoDto {
	s.Remark = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetTopMemoDto) SetOperateUserNick(v string) *TaobaoFenxiaoOrdersGetTopMemoDto {
	s.OperateUserNick = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetTopMemoDto) SetAttachments(v []TaobaoFenxiaoOrdersGetTopMemoAttachment) *TaobaoFenxiaoOrdersGetTopMemoDto {
	s.Attachments = &v
	return s
}
